class Onset_picker(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : NoneType
  prepare_data_per_node : bool
  allow_zero_length_dataloader_with_multiple_devices : bool
  _log_hyperparams : bool
  _dtype : int
  _device : Device
  _trainer : NoneType
  _example_input_array : NoneType
  _current_fx_name : NoneType
  _automatic_optimization : bool
  _metric_attributes : NoneType
  _should_prevent_trainer_and_dataloaders_deepcopy : bool
  _compiler_ctx : NoneType
  _fabric : NoneType
  learning_rate : float
  _hparams_name : str
  _hparams : Dict[str, float]
  _hparams_initial : Dict[str, float]
  picker : __torch__.phasehunter.model.Updated_onset_picker
  mae : __torch__.torchmetrics.regression.mae.MeanAbsoluteError
  def forward(self: __torch__.phasehunter.model.Onset_picker,
    x: Tensor) -> Tensor:
    picker = self.picker
    return (picker).forward(x, )
class Updated_onset_picker(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  n_masks : int
  block1 : __torch__.torch.nn.modules.container.___torch_mangle_2.Sequential
  block2 : __torch__.torch.nn.modules.container.___torch_mangle_10.Sequential
  block3 : __torch__.torch.nn.modules.container.___torch_mangle_18.Sequential
  block4 : __torch__.torch.nn.modules.container.___torch_mangle_26.Sequential
  block5 : __torch__.torch.nn.modules.container.___torch_mangle_34.Sequential
  block6 : __torch__.torch.nn.modules.container.___torch_mangle_42.Sequential
  block7 : __torch__.torch.nn.modules.container.___torch_mangle_50.Sequential
  block8 : __torch__.torch.nn.modules.container.___torch_mangle_58.Sequential
  block9 : __torch__.torch.nn.modules.container.___torch_mangle_63.Sequential
  out : __torch__.torch.nn.modules.container.___torch_mangle_64.Sequential
  def forward(self: __torch__.phasehunter.model.Updated_onset_picker,
    x: Tensor) -> Tensor:
    block1 = self.block1
    x0 = (block1).forward(x, )
    block2 = self.block2
    x1 = (block2).forward(x0, )
    block3 = self.block3
    x2 = (block3).forward(x1, )
    block4 = self.block4
    x3 = (block4).forward(x2, )
    block5 = self.block5
    x4 = (block5).forward(x3, )
    block6 = self.block6
    x5 = (block6).forward(x4, )
    block7 = self.block7
    x6 = (block7).forward(x5, )
    block8 = self.block8
    x7 = (block8).forward(x6, )
    block9 = self.block9
    x8 = (block9).forward(x7, )
    x9 = torch.flatten(x8, 1)
    out = self.out
    return (out).forward(x9, )
class BasicBlock(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  conv1 : __torch__.torch.nn.modules.conv.Conv1d
  bn1 : __torch__.torch.nn.modules.batchnorm.BatchNorm1d
  conv2 : __torch__.torch.nn.modules.conv.___torch_mangle_0.Conv1d
  bn2 : __torch__.torch.nn.modules.batchnorm.BatchNorm1d
  shortcut : __torch__.torch.nn.modules.container.Sequential
  def forward(self: __torch__.phasehunter.model.BasicBlock,
    x: Tensor) -> Tensor:
    bn1 = self.bn1
    conv1 = self.conv1
    _0 = (bn1).forward((conv1).forward(x, ), )
    out = __torch__.torch.nn.functional.relu(_0, False, )
    bn2 = self.bn2
    conv2 = self.conv2
    out0 = (bn2).forward((conv2).forward(out, ), )
    shortcut = self.shortcut
    out1 = torch.add_(out0, (shortcut).forward(x, ))
    out2 = __torch__.torch.nn.functional.relu(out1, False, )
    return out2
class BlurPool1D(Module):
  __parameters__ = []
  __buffers__ = ["filt", ]
  filt : Tensor
  training : bool
  _is_full_backward_hook : Optional[bool]
  filt_size : int
  pad_off : int
  pad_sizes : List[int]
  stride : int
  off : int
  channels : int
  pad : __torch__.torch.nn.modules.padding.ReflectionPad1d
  def forward(self: __torch__.phasehunter.model.BlurPool1D,
    inp: Tensor) -> Tensor:
    filt_size = self.filt_size
    if torch.eq(filt_size, 1):
      pad_off = self.pad_off
      if torch.eq(pad_off, 0):
        _3 = torch.slice(torch.slice(inp), 1)
        stride = self.stride
        _4 = torch.slice(_3, 2, None, None, stride)
        _2 = _4
      else:
        pad = self.pad
        _5 = torch.slice((pad).forward(inp, ))
        _6 = torch.slice(_5, 1)
        stride0 = self.stride
        _7 = torch.slice(_6, 2, None, None, stride0)
        _2 = _7
      _1 = _2
    else:
      pad0 = self.pad
      _8 = (pad0).forward(inp, )
      filt = self.filt
      stride1 = self.stride
      _9 = (torch.size(inp))[1]
      _10 = torch.conv1d(_8, filt, None, [stride1], [0], [1], _9)
      _1 = _10
    return _1
class Masksembles1D(Module):
  __parameters__ = ["masks", ]
  __buffers__ = []
  masks : Tensor
  training : bool
  _is_full_backward_hook : Optional[bool]
  channels : int
  n : int
  scale : float
  def forward(self: __torch__.phasehunter.model.Masksembles1D,
    inputs: Tensor) -> Tensor:
    batch = (torch.size(inputs))[0]
    _11 = torch.unsqueeze(inputs, 1)
    n = self.n
    x = torch.split(_11, torch.floordiv(batch, n))
    x10 = torch.permute(torch.cat(x, 1), [1, 0, 2, 3])
    masks = self.masks
    _12 = torch.unsqueeze(torch.unsqueeze(masks, 1), -1)
    x11 = torch.mul(x10, _12)
    x12 = torch.cat(torch.split(x11, 1), 1)
    _13 = torch.to(torch.squeeze(x12, 0), ops.prim.dtype(inputs))
    return _13
